"Ok" ungreyed out when no URL entered (WMS/WFS/WCS dialogs)

2013-12-11 04:11 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17819

Description

1) "New" WMS/WFS/WCS connection

2) Only enter a "Name" 

3) Can now press "Ok" - but the URL hould be mandatory as it's not going to work without it.

===

Also, when I then try and connect, rather than giving me an applicable error about not having filled in the URL, QGIS tries appending the

GetCapabilities parameters to the blank URL and then gives me an error saying "Path is a directory", which while technically true, isn't

useful to the user.

History

#1 - 2013-12-15 02:44 PM - Alvaro Huarte

- Assignee set to Alvaro Huarte

#2 - 2013-12-15 06:10 PM - Alvaro Huarte

- Pull Request or Patch supplied changed from No to Yes

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Done (This PR also fixes #9190):

https://github.com/qgis/QGIS/pull/1028

#3 - 2013-12-17 09:03 AM - Alvaro Huarte

- Status changed from Open to Resolved

#4 - 2013-12-17 09:14 AM - Jürgen Fischer

- Status changed from Resolved to Closed

fixed in commit:57e9411f263b682489fc61c5755423bfdcfeed2a
